Bug 1436650 - NetworkManager leaks NMDevice objects for enslaved veth devices
Summary: NetworkManager leaks NMDevice objects for enslaved veth devices
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: All
OS: Unspecified
high
urgent
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On: 1433303
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-28 11:40 UTC by Jaroslav Reznik
Modified: 2017-04-12 12:38 UTC (History)
12 users (show)

Fixed In Version: NetworkManager-1.4.0-18.el7_3
Doc Type: Bug Fix
Doc Text:
Prior to this update, NetworkManager would leak memory when new virtual interfaces were added to the system. Consequently, the process continued to consume increasing amounts of memory. The bug has been fixed, and the memory leak no longer occurs.
Clone Of: 1433303
Environment:
Last Closed: 2017-04-12 12:38:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0928 normal SHIPPED_LIVE NetworkManager bug fix update 2017-04-12 16:28:11 UTC

Description Jaroslav Reznik 2017-03-28 11:40:20 UTC
This bug has been copied from bug #1433303 and has been proposed
to be backported to 7.3 z-stream (EUS).

Comment 4 Vladimir Benes 2017-03-31 12:28:28 UTC
* Add a new connection of type "team" and options "con-name team0 ifname nm-team"
* Add a new connection of type "team-slave" and options "con-name team0.0 ifname eth10 master nm-team"
* Add a new connection of type "vlan" and options "con-name team0.1 dev nm-team id 1 mtu 1500 ipv4.method manual ipv4.addresses 192.168.168.16/24 ipv4.gateway 192.168.103.1 ipv6.method manual ipv6.addresses 2168::16/64 ipv4.dns 8.8.8.8"
When "3" is visible with command "ip r |grep nm-team.1 |wc -l" in "2" seconds
* Execute "for i in `seq 1 6`; do ip link set nm-team addr 00:00:11:22:33:$i; done"
Then "3" is visible with command "ip r |grep nm-team.1 |wc -l"

still fails with incorrect device route without metric

[root@qe-dell-ovs5-vm-57 ~]# ip r 
default via 10.16.135.254 dev eth0  proto static  metric 100 
default via 10.16.135.254 dev nm-team  proto static  metric 350 
default via 192.168.103.1 dev nm-team.1  proto static  metric 400 
10.16.134.0/23 dev eth0  proto kernel  scope link  src 10.16.134.63  metric 100 
10.16.134.0/23 dev nm-team  proto kernel  scope link  src 10.16.135.61  metric 350 
192.168.103.1 dev nm-team.1  proto static  scope link  metric 400 
192.168.168.0/24 dev nm-team.1  proto kernel  scope link  src 192.168.168.16 
192.168.168.0/24 dev nm-team.1  proto kernel  scope link  src 192.168.168.16  metric 400

Comment 5 Vladimir Benes 2017-03-31 12:34:07 UTC
comment to the other NM bugzilla, sorry, moving back to ON_QA

Comment 8 errata-xmlrpc 2017-04-12 12:38:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0928


Note You need to log in before you can comment on or make changes to this bug.